<template>
    <div>

        <div class="row inbox-wrapper">
            <div class="s col-md-12 col-xl-12 middle-wrapper">
                <div class="row">
                    <div class="col-md-12 grid-margin">
                        <div class="card">
                          <div class="card-body">
                            <h6 class="card-title">Add</h6>
                            <Formslot :dataprop="data" @datacomponent="getData"></Formslot>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>

</div>
</template>

<script>

    import Formslot from './Form.vue';

    export default {
        components: {
            Formslot
        },
        data() {
         return {
            data:{
                type:'add',
                name:'add',
                url:'/admin/inovator/add',
                data:{}

            }
        }

    },
    created(){
        this.initial()

    },
    methods:{  
        initial(){
            // this.dataForm
        },
        getData(value){
            this.toParent(value.action, value.data)
        },
        toParent(action,data){
            let dataEmit = {
                action : action,
                data : data,
                back : this.data.name,
            }
            this.$emit('datacomponent', dataEmit)
        },   
    }
}
</script>
<style>

</style>
